This page was not yet optimized for use on mobile devices.
Aviatrix Cryptographic Module
Certificate details
| Certificate ID | #3475 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 14.06.2019 , 06.11.2019 , 16.03.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. No assurance of the minimum strength of generated keys. This validation entry is a non-security relevant modification to Cert. #3273. |
| Exceptions |
|
| Description | Aviatrix Cryptographic Module is used in Aviatrix Secure Networking Platform to provide robust algorithm support, including Suite B algorithm compliance for secure network communication. |
| Tested configurations |
|
| Vendor | Aviatrix Systems Inc. http://www.aviatrix.com/ |
| Lab | AEGISOLVE, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 1 certificates, transitively this expands into 1 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDSA, ECC, DH, DSAHash functions
SHA-1, SHA-384, SHA-224, SHA-256, SHA-512, SHA512, SHA-2Schemes
MACProtocols
SSL, TLSRandomness
DUAL_EC_DRBG, PRNG, DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, P-192, K-233, K-283, K-409, B-233, B-283, B-409, B-571, K-571, K-163, B-163Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XTSSecurity level
Level 1Standards
FIPS 140-2, FIPS 140, FIPS 186-4, FIPS 186-2, SP 800-90, NIST SP 800-131A, SP 800-90A, PKCS #1, PKCS1, PKCS#1, RFC5288, RFC5289, RFC 5246Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3475,
"dgst": "15727c386643f322",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#4750",
"#2524",
"ECDSA#1185",
"DSA#1273",
"HMAC#3164",
"#3893",
"#2594",
"#1273",
"RSA#2594",
"#4750",
"#3164",
"#1631",
"SHS#3893",
"Triple-DES#2524",
"DRBG#1631",
"#1185"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"3273"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"3273"
]
}
},
"module_prunned_references": {
"_type": "Set",
"elements": [
"3273"
]
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 12
}
},
"FF": {
"DH": {
"DH": 1
},
"DSA": {
"DSA": 13
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 2
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 4
},
"OFB": {
"OFB": 1
},
"XTS": {
"XTS": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 5
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 4,
"B-233": 4,
"B-283": 6,
"B-409": 3,
"B-571": 6,
"K-163": 4,
"K-233": 5,
"K-283": 6,
"K-409": 4,
"K-571": 4,
"P-192": 6,
"P-224": 10,
"P-256": 12,
"P-384": 8,
"P-521": 12
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 2
}
},
"fips_certlike": {
"Certlike": {
"Certificate AES": 1,
"Certificate RSA": 1,
"HMAC SHA- 224": 1,
"HMAC SHA- 256": 1,
"HMAC SHA-1": 1,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC- SHA-384": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-512 3164": 2,
"HMAC-SHA1": 10,
"HMAC-SHA224": 2,
"HMAC-SHA256": 2,
"HMAC-SHA384": 2,
"HMAC-SHA512": 2,
"PKCS #1": 4,
"PKCS#1": 2,
"PKCS1": 6,
"SHA- 224": 1,
"SHA- 256": 1,
"SHA- 512": 1,
"SHA-1": 19,
"SHA-2": 12,
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 5,
"SHA-512": 1,
"SHA-512 3893": 1,
"SHA512": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 19
},
"SHA2": {
"SHA-2": 12,
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 5,
"SHA-512": 2,
"SHA512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"DUAL_EC": {
"DUAL_EC_DRBG": 1
},
"PRNG": {
"DRBG": 15,
"PRNG": 1
},
"RNG": {
"RNG": 3
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 6,
"FIPS 140-2": 40,
"FIPS 186-2": 6,
"FIPS 186-4": 6
},
"NIST": {
"NIST SP 800-131A": 2,
"SP 800-90": 1,
"SP 800-90A": 1
},
"PKCS": {
"PKCS #1": 2,
"PKCS#1": 1,
"PKCS1": 3
},
"RFC": {
"RFC 5246": 1,
"RFC5288": 2,
"RFC5289": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 13
}
},
"DES": {
"3DES": {
"Triple-DES": 8
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 5,
"HMAC": 13,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#4750",
"ECDSA#1185",
"DSA#1273",
"HMAC#3164",
"RSA#2594",
"SHS#3893",
"Triple-DES#2524",
"DRBG#1631"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#2524",
"#3893",
"#2594",
"#1273",
"#4750",
"#3164",
"#1631",
"#1185"
]
},
"policy_metadata": {
"/Author": "SafeLogic",
"/Category": "",
"/Client": "Aviatrix",
"/Comments": "",
"/Company": "Aviatrix",
"/CreationDate": "D:20210312113151-08\u002700\u0027",
"/Creator": "Acrobat PDFMaker 21 for Word",
"/DocVersion": "1.1",
"/Keywords": "",
"/Manager": "",
"/ModDate": "D:20210312113159-08\u002700\u0027",
"/Producer": "Adobe PDF Library 21.1.177",
"/SourceModified": "D:20210312193144",
"/Subject": "Aviatrix Cryptographic Module",
"/Title": "Security Policy",
"pdf_file_size_bytes": 545868,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.safelogic.com/",
"http://www.aviatrix.com/",
"http://csrc.nist.gov/groups/STM/cmvp/index.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 24
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "7ae3290c56569d23250570f1a01654926c5a3a3c873a36d8f28464a3a8a8ec26",
"source_hash": "8e3f70095e15232514af4971a5d1014269225cee4c97a29cb5f45ecec9e18894",
"txt_hash": "d4a1a36f9f38839674b5acdf205024634fa51da8d298b67cbcdc6ee372387773"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. No assurance of the minimum strength of generated keys. This validation entry is a non-security relevant modification to Cert. #3273.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/JuneConsolidated.pdf",
"date_sunset": null,
"description": "Aviatrix Cryptographic Module is used in Aviatrix Secure Networking Platform to provide robust algorithm support, including Suite B algorithm compliance for secure network communication.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {
"3273": 1
},
"module_name": "Aviatrix Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.0",
"tested_conf": [
"CentOS 7.3 on a Dell Optiplex 755 (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2019-06-14",
"lab": "AEGISOLVE, Inc.",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2019-11-06",
"lab": "AEGISOLVE, Inc.",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-03-16",
"lab": "AEGISOLVE, Inc.",
"validation_type": "Update"
}
],
"vendor": "Aviatrix Systems Inc.",
"vendor_url": "http://www.aviatrix.com/"
}
}